Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
event::Event Struct Reference

Event has a type: a STATE event indicates that a boolean state has been changed, i.e. More...

## Public Types
enum | Type { STATE , TRIGGER }
| Event type. More...

## Public Attributes
Type | type
| Event type.
vector< string > | id
| Event id vector.
boolean | asserted
| Assertion value.
time | timeStamp
| UNIX timestamp (UTC)
vector< KeyValue > | context
| Context map.

## Detailed Description

Event has a type: a STATE event indicates that a boolean state has been changed, i.e.

asserted or deasserted a TRIGGER event is one that has no state assigned. conceptually it is asserted and deasserted at once. The id has multiple components that form a path into a hierarchy. The value ("asserted") indicates whether the state has become true (assertion) or false (deassertion). For events of type TRIGGER this will be true always.

## Member Enumeration Documentation

## ◆ Type

enum event::Event::Type

Event type.

Enumerator
STATE | State event.
TRIGGER | Trigger event.

The documentation for this struct was generated from the following file:

- EventEngine.idl